Bug 9445 - Use DataTables in local use system preferences editor
Summary: Use DataTables in local use system preferences editor
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/admin/systempreferences.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-22 17:32 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9445 - Use DataTables in local use system preferences editor (3.58 KB, patch)
2013-01-22 17:46 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9445 - Use DataTables in local use system preferences editor (3.60 KB, patch)
2013-01-23 08:40 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9445 [Revised] Use DataTables in local use system preferences editor (2.60 KB, patch)
2013-02-26 16:26 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9445 [Revised] Use DataTables in local use system preferences editor (2.68 KB, patch)
2013-02-27 23:42 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9445 [Revised] Use DataTables in local use system preferences editor (2.73 KB, patch)
2013-02-28 15:49 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9445 [Revised] Use DataTables in local use system preferences editor (3.43 KB, patch)
2013-03-01 19:46 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-22 17:32:58 UTC
The "old" system preferences editor, used now only for local use preferences, uses the old tablesorter plugin. It should use DataTables instead.
Comment 1 Owen Leonard 2013-01-22 17:46:58 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-01-23 08:40:50 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2013-02-26 16:26:34 UTC Comment hidden (obsolete)
Comment 4 Bernardo Gonzalez Kriegel 2013-02-27 23:42:08 UTC Comment hidden (obsolete)
Comment 5 Jonathan Druart 2013-02-28 15:49:34 UTC
QA comment:
Add datatable on the systempreferences.pl page (local use only).
Marked as Passed QA.
Comment 6 Jonathan Druart 2013-02-28 15:49:48 UTC Comment hidden (obsolete)
Comment 7 Jared Camins-Esakov 2013-03-01 00:19:39 UTC
This patch adds Datatables, but it does not remove tablesorter from the page. It probably should.
Comment 8 Jonathan Druart 2013-03-01 08:44:02 UTC
(In reply to comment #7)
> This patch adds Datatables, but it does not remove tablesorter from the
> page. It probably should.

Ho yes, good catch. I don't understand when this code is used but it should be deleted.
Comment 9 Owen Leonard 2013-03-01 19:46:23 UTC
Created attachment 15810 [details] [review]
Bug 9445 [Revised] Use DataTables in local use system preferences editor

Replace the tablesorter plugin with the DataTables plugin in the
local use system preferences editor.

This patch moves embedding of the toolbar and table-sorting JS from
within the body of the page to the <head> for sake of consistency.

To test, open the system preferences editor to the Local Use tab.
Confirm that table sorting works correctly. In this configuration there
should be no pager and no results filtering.

Revision corrects template path to datatables assets.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Tab sorting works. No errors.
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>

Further revision removes old tablesorter code
Comment 10 Owen Leonard 2013-03-01 19:47:10 UTC
Returning to "Passed QA" as per jcamins' instructions.
Comment 11 Jared Camins-Esakov 2013-03-02 17:25:43 UTC
This patch has been pushed to master.